import * as react_jsx_runtime from 'react/jsx-runtime';
import * as ToggleGroupRadix from '@radix-ui/react-toggle-group';
import { SpacingProps } from '@versini/ui-private/dist/utilities';

declare const TOGGLEGROUP_CLASSNAME = "av-togglegroup";

type Size = "small" | "medium" | "large";
type Mode = "dark" | "light" | "system" | "alt-system";

type ToggleGroupProps = {
	/**
	 * The type of focus for the buttons. This will change the color
	 * of the focus ring around the buttons.
	 */
	focusMode?: Mode;
	/**
	 * The mode of the group container. This will change the color of the background.
	 */
	mode?: Mode;
	/**
	 * The size of the component.
	 */
	size?: Size;
} & Omit<ToggleGroupRadix.ToggleGroupSingleProps, "type", "defaultValue"> &
	SpacingProps;

type ToggleGroupItemProps = ToggleGroupRadix.ToggleGroupItemProps;

declare const ToggleGroup: ({ children, value, onValueChange, disabled, mode, focusMode, size, defaultValue, ...otherProps }: ToggleGroupProps) => react_jsx_runtime.JSX.Element;
declare const ToggleGroupItem: ({ value, disabled }: ToggleGroupItemProps) => react_jsx_runtime.JSX.Element;

export { TOGGLEGROUP_CLASSNAME, ToggleGroup, ToggleGroupItem };
